<?php
#############################################################
# Project:      bCounter                                    #
# File:         show_searchengines_bots.php                 #
# Decription:   statistics of bots visits
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Einzelne Bots';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "searchengines_bots" ).'" width="800" height="300" alt="Einzelne Bots" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';
    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='bot' AND os!='unknown'";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT *, count(os) AS anzahl
                     FROM ".$bCounter_dbPrefix."visits
                     WHERE type='bot'
                     GROUP BY os, browser
                     ORDER BY anzahl DESC, os ASC";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Bot</th><th>Besuche</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $strOS       = mysql_result($SQLresult_all, $i, "os");
        $strBrowser  = mysql_result($SQLresult_all, $i, "browser");
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td><img src="./img/robot/'.getOSstring_img_robot($strOS).'.png" width="14" height="14" alt="'.getOSstring($strOS, "").'" />&nbsp;'.getOSstring($strOS, "").' '.getBrowserString($strBrowser, "").'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";
    $strDivBody .= '</table>'."\n";
?>